import request from '@/utils/request'

// 查询cmc设备预算列表
export function listBudgetDevice(query) {
  return request({
    url: '/oa/budgetDevice/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备预算详细
export function getBudgetDevice(budgetId) {
  return request({
    url: '/oa/budgetDevice/' + budgetId,
    method: 'get'
  })
}

// 新增cmc设备预算
export function addBudgetDevice(data) {
  return request({
    url: '/oa/budgetDevice',
    method: 'post',
    data: data
  })
}

// 修改cmc设备预算
export function updateBudgetDevice(data) {
  return request({
    url: '/oa/budgetDevice',
    method: 'put',
    data: data
  })
}

// 删除cmc设备预算
export function delBudgetDevice(budgetId) {
  return request({
    url: '/oa/budgetDevice/' + budgetId,
    method: 'delete'
  })
}
